[arch-commits] Commit in gdl/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Oct 13 08:01:01 EDT 2008


    Date: Monday, October 13, 2008 @ 08:01:00
  Author: jgc
Revision: 15373

upgpkg: gdl 2.24.0-1

Modified:
  gdl/trunk/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-13 11:44:08 UTC (rev 15372)
+++ PKGBUILD	2008-10-13 12:01:00 UTC (rev 15373)
@@ -2,21 +2,22 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gdl
-pkgver=0.7.11
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="Gnome Devtool Libraries"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libgnomeui>=2.22.01-1')
+url="http://www.gnome.org/"
+depends=('libglade>=2.6.3')
 makedepends=('pkgconfig')
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('74f529cc2623376ee793be65439f54d6')
+source=(http://ftp.gnome.org/pub/GNOME/sources/gdl/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('1d5cd4af1f4041394169d643316646bf')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --localstatedir=/var --disable-static
+              --localstatedir=/var --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
 }




More information about the arch-commits mailing list